### Enumeration

# Clutter ScalingFilter

#### Declaration

    enum Clutter.ScalingFilter

#### Description [src]

The scaling filters to be used with the `ClutterActor:minification-filter` and `ClutterActor:magnification-filter` properties.

#### Members

`CLUTTER_SCALING_FILTER_LINEAR`

  Linear interpolation filter.

  - Value: `0`
  - Available since: 14
`CLUTTER_SCALING_FILTER_NEAREST`

  Nearest neighbor interpolation filter.

  - Value: `1`
  - Available since: 14
`CLUTTER_SCALING_FILTER_TRILINEAR`

  Trilinear minification filter, with mipmap generation; this filter linearly interpolates on every axis, as well as between mipmap levels.

  - Value: `2`
  - Available since: 14